@import '../../index.css';

.nav {
    display: flex;
    justify-content: space-between;
}

.btnGrp-nav {
    background-color: white;
    color: var(--link-active) !important;
}

.btnGrp-nav:hover {
    background-color: white;
    color: var(--link-active) !important;
}

.btnGrp-nav:hover:not([data-active='null']) {
    background-color: var(--indigo);

    color: white !important;
}

[data-active='summary'] {
    background-color: var(--indigo);
    color: white !important;
}
[data-active='myclaims'] {
    background-color: var(--indigo);

    color: white !important;
}
[data-active='balances'] {
    background-color: var(--indigo);

    color: white !important;
}
[data-active='docs'] {
    background-color: var(--indigo);

    color: white !important;
}

.claimsMain {
    display: flex;
    justify-content: space-between;
    margin-top: 1rem;
}

.select {
    display: flex;
    gap: 1rem;
}

.select > * {
    width: clamp(10rem, 10rem, 10rem);
}

.searchbox {
    width: 20rem;
}

.claimsheaderSVG {
    font-size: 24px;
    font-weight: 900;
    color: var(--card-blue);
    text-align: center;
    margin-top: 1rem;
}

.amount {
    /* display: flex; */
    /* flex-basis: auto; */
    /* float: right; */
    font-weight: 700;
    color: var(--card-blue);
    text-align: center;
    margin-left: 12rem;
}

.amountDetails {
    margin: 1% 5%;
}

.rounds {
    border-radius: 50%;
    width: 20px;
    height: 20px;
    background-color: #6c63ff;
    /*, '#01C76A', '#FF4AA4'*/
}

.cardWidth {
    width: calc(100vw - 34rem);
    height: 70vh !important;
    overflow-y: auto;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.cardWidth::-webkit-scrollbar {
    width: 10px;
}

.cardWidth::-webkit-scrollbar-track {
    background: var(--sort-of-grey);
}
.cardWidth::-webkit-scrollbar-thumb {
    background-color: var(--indigo);
    border-radius: 6px;
    border: 3px solid var(--sort-of-grey);
}

/* Claims summary card */

.card--section--one {
    border-right: 1px solid rgba(139, 152, 164, 0.5);
    flex-basis: 65%;
    padding: 1rem;
    color: var(--card-blue);
}

.card--section--two {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    flex-basis: 35%;
    color: var(--card-blue);
}
.lab--name {
    font-weight: 900;
    color: var(--card-blue);
}

.card--header {
    display: flex;
    justify-content: space-between;
}

.network--type {
    border-radius: 2rem;
    color: white;
    background-color: var(--link-active);
    height: fit-content;
    padding: 3px 10px;
    font-weight: 700;
}

.location--contact {
    list-style: none;
    display: flex;
    justify-content: space-between;
    padding-left: 0 !important;
    gap: 2rem;
}

.second--part {
    display: flex;
}

.second--part > * {
    border-right: 1px solid rgba(139, 152, 164, 0.5);
}

.third--part {
    display: flex;
    gap: 2rem;
}

.coverage--type {
    border-radius: 2rem;
    color: white;
    background-color: var(--indigo);
    height: fit-content;
    padding: 3px 10px;
    font-weight: 100;
    margin-right: 0.5rem !important;
    cursor: context-menu !important;
}

.payment--details {
    width: 100%;
    background-color: var(--card-processed);
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

[data-type='IN PROCESS'] {
    background-color: var(--card-process);
    border: 1px solid var(--card-process);
}

[data-type='PAID'] {
    background-color: var(--card-processed);
    border: 1px solid var(--card-processed);
}

[data-type='REJECTED'] {
    background-color: var(--card-rejected);
    border: 1px solid var(--card-rejected);
}

[data-type-card='IN-PROCESS'] {
    border: 1px solid var(--card-process);
}

[data-type-card='PROCESSED'] {
    border: 1px solid var(--card-processed);
}

[data-type-card='REJECTED'] {
    border: 1px solid var(--card-rejected);
}

/* My Claims */

.myClaimsMain {
    display: flex;
    gap: 1rem;
}

.section--one--myclaims {
    flex-basis: 25%;
}

.section--two--myclaims {
    flex-basis: 75%;
    height: 80vh !important;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.header--two--myclaims {
    display: flex;
    gap: 1rem;
    align-items: baseline;
}

.header--two--myclaims > h5 {
    color: var(--card-blue);
    font-weight: 700;
}

.header--two--myclaims > p {
    color: var(--indigo);
}

.header--two--myclaims > div {
    width: 13rem;
}

.self {
    margin-left: 45%;
}

.select--sort {
    font-size: 14px !important;
}

.content--two--myclaims {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    overflow-y: auto;
}

.content--two--myclaims::-webkit-scrollbar {
    width: 10px;
}

.content--two--myclaims::-webkit-scrollbar-track {
    background: var(--sort-of-grey);
}
.content--two--myclaims::-webkit-scrollbar-thumb {
    background-color: var(--indigo);
    border-radius: 6px;
    border: 3px solid var(--sort-of-grey);
}

.optionsCard {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 5% 4%;
    border: none;
    outline: none;
    font-size: 12px !important;
    font-weight: 600;
    color: var(--card-blue);
}

.optionsCard > input {
    font-size: 12px !important;
}

.coverage--type--options {
    display: flex;
    flex-direction: column;
    list-style: none;
}

/* Plan Balances */
.plan--balances--header {
    display: flex;
    justify-content: space-between;
}

.plan--balances--header > h5 {
    font-weight: 700;
    color: var(--card-blue);
}

.sort--div--select {
    font-size: 14px !important;
    width: 20rem;
}

.details--section {
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: var(--indigo);
    padding: 0.5rem 0 0 0;
}

.download--button {
    border-radius: 2rem;
    width: fit-content;
    padding: 0.5rem;
    height: fit-content;
    background-color: white;
    color: var(--indigo);
}
.details--details {
    background: white;
    padding: 1%;
    border: none;
    border-radius: 1rem;
}

.table > tbody > tr {
    border-color: white;
}
.table > tbody > tr > td {
    font-size: 12px !important;
    font-weight: bold;
}

.plan--cards {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-auto-flow: row;
    gap: 2rem;
    height: 63vh !important;
    overflow-y: scroll !important;
    overflow-x: scroll !important;
}

.plan--cards::-webkit-scrollbar {
    width: 10px;
}

.plan--cards::-webkit-scrollbar-track {
    background: var(--sort-of-grey);
}
.plan--cards::-webkit-scrollbar-thumb {
    background-color: var(--indigo);
    border-radius: 6px;
    border: 3px solid var(--sort-of-grey);
}

.plan-heading {
    font-weight: 700;
    color: var(--card-blue);
    margin-left: 1rem !important;
    margin-top: 1rem !important;
}

/* Documents */
.documents {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    height: 73vh;
    overflow-y: scroll;
}
.doc--card {
    display: flex;
    /* justify-content: space-around; */
    flex-direction: row;
    align-items: center;
    padding: 0 5rem 0 5rem;
}

.doc--card > svg {
    flex-basis: 6rem;
}

.doc--card > div {
    flex-basis: 22rem;
}
.doc--card > section {
    flex-basis: 10rem;
}

.doc--card > button {
    flex-basis: auto;
}

.documents::-webkit-scrollbar {
    width: 10px;
}

.documents::-webkit-scrollbar-track {
    background: var(--sort-of-grey);
}
.documents::-webkit-scrollbar-thumb {
    background-color: var(--indigo);
    border-radius: 6px;
    border: 3px solid var(--sort-of-grey);
}

.download--button--doc {
    margin-left: 57%;
}
